Blame SOURCES/openscap-1.3.6-PR-1745-waive-hugepages.patch

97face
From 192f908562779fe4c9b7e5cc7605840976a06c85 Mon Sep 17 00:00:00 2001
97face
From: =?UTF-8?q?Jan=20=C4=8Cern=C3=BD?= <jcerny@redhat.com>
97face
Date: Mon, 26 Apr 2021 13:13:26 +0200
97face
Subject: [PATCH] Waive the known issue with hugepages on ppc64/ppc64le
97face
97face
The known issue has been reported in
97face
https://bugzilla.redhat.com/show_bug.cgi?id=1642995
97face
97face
This modification is currently applied as a patch applied during setup
97face
phase of Sanity/smoke-test in Fedora CI gating.
97face
https://src.fedoraproject.org/tests/openscap/blob/main/f/Sanity/smoke-test
97face
The patched file got changed recetly so the patch doesn't apply anymore
97face
which causes the Rawhide gating to fail.
97face
We have decided to propose the change to upstream to avoid the need
97face
for modifying the patch in the tests and to prevent similar problems
97face
in the future.
97face
---
97face
 tests/probes/sysctl/test_sysctl_probe_all.sh | 5 +++++
97face
 1 file changed, 5 insertions(+)
97face
97face
diff --git a/tests/probes/sysctl/test_sysctl_probe_all.sh b/tests/probes/sysctl/test_sysctl_probe_all.sh
97face
index 2280ff7ae..c79d7ed18 100755
97face
--- a/tests/probes/sysctl/test_sysctl_probe_all.sh
97face
+++ b/tests/probes/sysctl/test_sysctl_probe_all.sh
97face
@@ -73,6 +73,10 @@ if [ "$procps_ver" != "$lowest_ver" ]; then
97face
 	sed -i '/.*vm.stat_refresh/d' "$sysctlNames"
97face
 fi
97face
 
97face
+if ! grep -q "hugepages" "$ourNames"; then
97face
+	sed -i "/^.*hugepages.*$/d" "$sysctlNames"
97face
+fi
97face
+
97face
 echo "Diff (sysctlNames / ourNames): ------"
97face
 diff "$sysctlNames" "$ourNames"
97face
 echo "-------------------------------------"
97face
@@ -84,6 +88,7 @@ sed -i -E "/^E: oscap: +Can't read sysctl value from /d" "$stderr"
97face
 # that can't fit into 8K buffer and result in errno 14
97face
 # (for example /proc/sys/kernel/spl/hostid could be the case)
97face
 sed -i -E "/^E: oscap: +An error.*14, Bad address/d" "$stderr"
97face
+sed -i "/^.*hugepages.*$/d" "$stderr"
97face
 
97face
 echo "Errors (without messages related to permissions):"
97face
 cat "$stderr"